@echo off

rem OriginLab.OriginPro.v9.1.SR0.Cracked-EAT

echo.
echo  OriginPro - License file setup
echo  ==============================
echo.
echo  Select your operating system
echo.
echo  1. Windows XP
echo  2. Windows Vista
echo  3. Windows 7
echo  4. Windows 8.x
echo.
echo  0. Quit setup
echo.

:CHOICE
if /I "%CH%"=="1" set WinOS=XP
if /I "%CH%"=="2" set WinOS=VS
if /I "%CH%"=="3" set WinOS=W7
if /I "%CH%"=="4" set WinOS=W8
if /I "%CH%"=="0"    GoTo QUIT
if not "%WinOS%"=="" GoTo SETUP
set /P CH= Select the operating system [1..3, 0-quit] =
GoTo CHOICE

:SETUP
echo.
echo þ Installing license file ...
echo.
if "%WinOS%"=="XP" set LicDir="%ALLUSERSPROFILE%\Application Data\OriginLab\91\License\"
if "%WinOS%"=="VS" set LicDir="C:\ProgramData\OriginLab\91\License\"
if "%WinOS%"=="W7" set LicDir="C:\ProgramData\OriginLab\91\License\"
if "%WinOS%"=="W8" set LicDir="C:\ProgramData\OriginLab\91\License\"

md %LicDir%
copy /z /y orglab.lic %LicDir%
echo.
if     %ErrorLevel%==0 echo þ License file successfully installed. Enjoy!
if not %ErrorLevel%==0 echo þ Something went wrong. Try a manual setup...
GoTo END

:QUIT
echo.
echo þ Setup aborted.

:END
echo.
echo þ Press any key to exit ...
@pause >nul
@exit